@import url('https://fonts.googleapis.com/css2?family=M+PLUS+1p:wght@100;300;400;500;700;800;900&family=Yellowtail&display=swap');

* {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    background-color: #fff;
    color: #464646;
    font-family: "M PLUS 1p";
}

@media only screen and (max-width: 600px) {

    /* Message */
    .message-container {
        height: 40vh;
        padding: 3rem;
    }

    #message {
        text-align: center;
        font-weight: 30;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.2rem;
    }

    #logo-grey {
        position: relative;
        height: 4rem;
    }

    .line {
        width: 25vw;
        border-bottom: #464646 0.8px solid;
        display: flex;
        align-items: center;
        margin: auto;
    }

    /* Message */
    .message-container {
        height: 40vh;
        padding: 2.3rem;
    }

    #message {
        text-align: center;
        font-weight: 30;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.2rem;
    }

    #logo-grey {
        position: relative;
        height: 6rem;
    }

    .line {
        width: 25vw;
        border-bottom: #464646 0.8px solid;
        display: flex;
        align-items: center;
        margin: auto;
    }
   
    /* Video Background */
    .landing-page-container {
        position: relative;
        width: 100%;
        height: 30vh;
        overflow: hidden;
        background-color: #aa8b8b;
        filter: drop-shadow(5px 5px 10px #0000005c);
    }

    .landing-video {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: 2; 
    }

    /* Color Overlay */
    .color-overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #aa8b8b;
        z-index: 3; 
    }

    .navbar {
        z-index: 65;
        display: block;
    }

    #navbar-titles {
        position: fixed;
        top: 0;
        left: -250px; 
        width: 250px; /* Width of the sliding menu */
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.8);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transform: translateX(0);
        transition: transform 0.4s ease; /* Animation duration and timing */
        z-index: 55;
        visibility: none;
    }

    /* Show menu with sliding effect from the left */
    #navbar-titles.slide-in {
        transform: translateX(100%); /* Slide in from the left */

    }

    .close-btn {
        font-size: 24px;
        color: white;
        cursor: pointer;
        position: absolute; /* Position it at the top-right corner */
        top: 10px;
        right: 10px;
        z-index: 100; /* Ensure it's above other elements */
    }

        #navbar-titles a {
        color: white;
        text-decoration: none;
        font-size: 1.2em;
        margin: 15px 0;
    }

    #navbar-titles a:hover {
        color: #ddd;
    }

    #landing-page-title {
        font-family: "Yellowtail";
        font-weight: 400;
        font-style: normal; 
        color: #fff;   
        z-index: 6; 
        position: absolute;
        height: 20vh;
        width: 100vw;
        flex-direction: row;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 10vh;
    }

    #yours-truly {
        font-size: 2.2rem;
    }

    #logo {
        position: fixed; 
        top: 5px;
        left: 5px; 
        z-index: 100; 
        margin: 20px; 
    }

    #logo-svg {
        visibility:hidden;
        position: absolute;
        overflow: hidden;
    }

    #logo-png {
        opacity: 75%;
        width: 8rem;
    }

    /* GALLERY */

    #image-grid, #video-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
        padding: 20px;
    }
    
    .media-item {
        cursor: pointer;
    }
    
    .image-item {
        overflow: hidden;
        transition: transform 0.2s;
        cursor: pointer; /* Change cursor to indicate clickable */
    }
    
    .image-item img {
        width: 100%;
        height: auto;
    }
    
    .image-item:hover {
        transform: scale(1.05);
    }

    img, video {
        display: block;
        max-width: 80%;
        margin: auto;
    }

    .video-item {
        cursor: pointer;
    }
    
     /* Modal Styles */
     .modal {
        display: none; /* Hidden by default */
        position: fixed;
        z-index: 1;
        padding-top: 60px;
        left: 0;
        top: 0;
        width: 100%;
        height:100%;
        overflow: auto;
        background-color: rgb(0,0,0);
        background-color: rgba(0,0,0,0.9); /* Black with opacity */
        transition: ease-in-out;
    }
    
    
    .modal-content {
        margin: auto;
        display: block;
        width: auto;
        max-width: 700px;
        height: 60%;
    }
    
    .close {
        position: absolute;
        top: 15px;
        right: 35px;
        color: #f1f1f1;
        font-size: 40px;
        font-weight: bold;
        transition: 0.3s;
        cursor: pointer;
    }

    #caption {
        color: #fff;
        text-align: center;
        text-transform: uppercase;
    }

    button {
        margin: 30px auto;
        padding: 10px 60px;
        background-color: #ffffff;
        color: rgb(69, 69, 69);
        border: #464646 solid 1px;
        border-radius: 5px;
        cursor: pointer;
        display: flex;
        }
    
    button:hover {
        background-color: #464646 !important; /* Darken the button on hover */
        color: #fff;
    }
  
    /* FOOTER */

    footer {
        overflow: hidden;
        width: 100vw;
    }

    #social-container {
        display: flex;
        padding-top: 20px;
        height: 15px;
        font-size: 10px;
        width: 100vw;
        background-color: #fff;
    }

    #social-container svg {
        padding: 2px;
        height: 20px
    }

    #email, #instagram, #tiktok {
        display: flex;
        align-items: center;
        justify-content: row;
        height: 10px;
    }

    #copy {
        padding: 20px;
    }
}

@media only screen and (min-width: 601px) and (max-width: 1269px) {

    /* Message */
    .message-container {
        height: 40vh;
        padding: 3rem;
    }

    #message {
        text-align: center;
        font-weight: 30;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.2rem;
    }

    #logo-grey {
        position: relative;
        height: 4rem;
    }

    .line {
        width: 25vw;
        border-bottom: #464646 0.8px solid;
        display: flex;
        align-items: center;
        margin: auto;
    }

    /* Message */
    .message-container {
        height: 40vh;
        padding: 2.3rem;
    }

    #message {
        text-align: center;
        font-weight: 30;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.2rem;
    }

    #logo-grey {
        position: relative;
        height: 6rem;
    }

    .line {
        width: 25vw;
        border-bottom: #464646 0.8px solid;
        display: flex;
        align-items: center;
        margin: auto;
    }
   
    /* Video Background */
    .landing-page-container {
        position: relative;
        width: 100%;
        height: 30vh;
        overflow: hidden;
        background-color: #aa8b8b;
        filter: drop-shadow(5px 5px 10px #0000005c);
    }

    .landing-video {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: 2; 
    }

    /* Color Overlay */
    .color-overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #46464663;
        z-index: 3; 
    }

    .navbar {
        z-index: 55;
    }

    #navbar-titles {
        position: fixed;
        top: 0;
        left: -250px; 
        width: 250px; /* Width of the sliding menu */
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.8);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transform: translateX(0);
        transition: transform 0.4s ease; /* Animation duration and timing */
        z-index: 55;
    }

    /* Show menu with sliding effect from the left */
    #navbar-titles.slide-in {
        transform: translateX(100%); /* Slide in from the left */
    }

    .close-btn {
        font-size: 24px;
        color: white;
        cursor: pointer;
        position: absolute; /* Position it at the top-right corner */
        top: 10px;
        right: 10px;
        z-index: 100; /* Ensure it's above other elements */
    }

        #navbar-titles a {
        color: white;
        text-decoration: none;
        font-size: 1.2em;
        margin: 15px 0;
    }

    #navbar-titles a:hover {
        color: #ddd;
    }

    #landing-page-title {
        font-family: "Yellowtail";
        font-weight: 400;
        font-style: normal; 
        color: #fff;   
        z-index: 6; 
        position: absolute;
        height: 20vh;
        width: 100vw;
        flex-direction: row;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 10vh;
    }

    #yours-truly {
        font-size: 2.2rem;
    }

    #logo {
        position: fixed; 
        top: 5px;
        left: 5px; 
        z-index: 100; 
        margin: 20px; 
    }

    #logo-svg {
        visibility:hidden;
        position: absolute;
        overflow: hidden;
    }
    
    #logo-png {
        opacity: 75%;
        width: 8rem;
    }

    /* GALLERY */

    #image-grid, #video-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
        padding: 20px;
    }
    
    .media-item {
        cursor: pointer;
    }
    
    .image-item {
        overflow: hidden;
        transition: transform 0.2s;
        cursor: pointer; /* Change cursor to indicate clickable */
    }
    
    .image-item img {
        width: 100%;
        height: auto;
    }
    
    .image-item:hover {
        transform: scale(1.05);
    }

    img, video {
        display: block;
        max-width: 80%;
        margin: auto;
    }

    .video-item {
        cursor: pointer;
    }
    
     /* Modal Styles */
     .modal {
        display: none; /* Hidden by default */
        position: fixed;
        z-index: 1;
        padding-top: 60px;
        left: 0;
        top: 0;
        width: 100%;
        height:100%;
        overflow: auto;
        background-color: rgb(0,0,0);
        background-color: rgba(0,0,0,0.9); /* Black with opacity */
        transition: ease-in-out;
    }
    
    
    .modal-content {
        margin: auto;
        display: block;
        width: auto;
        max-width: 700px;
        height: 70%;
    }
    
    .close {
        position: absolute;
        top: 15px;
        right: 35px;
        color: #f1f1f1;
        font-size: 40px;
        font-weight: bold;
        transition: 0.3s;
        cursor: pointer;
    }

    #caption {
        color: #fff;
        text-align: center;
        text-transform: uppercase;
    }

    button {
        margin: 30px auto;
        padding: 10px 60px;
        background-color: #ffffff;
        color: rgb(69, 69, 69);
        border: #464646 solid 1px;
        border-radius: 5px;
        cursor: pointer;
        display: flex;
        }
    
    button:hover {
        background-color: #464646 !important; /* Darken the button on hover */
        color: #fff;
    }
  
    /* FOOTER */

    footer {
        overflow: hidden;
        width: 100vw;
    }

    #social-container {
        display: flex;
        padding-top: 20px;
        height: 15px;
        font-size: 10px;
        width: 100vw;
        background-color: #fff;
    }

    #social-container svg {
        padding: 2px;
        height: 20px
    }

    #email, #instagram, #tiktok {
        display: flex;
        align-items: center;
        justify-content: row;
        height: 10px;
    }

    #copy {
        padding: 20px;
    }
}

@media only screen and (min-width: 1270px) {    

    /* Message */
    .message-container {
        height: 40vh;
        padding: 2.3rem;
    }

    #message {
        text-align: center;
        font-weight: 30;
        padding-top: 2rem;
        padding-bottom: 2rem;
        font-size: 1.8rem;
    }

    #logo-grey {
        position: relative;
        height: 6rem;
    }

    .line {
        width: 30vw;
        border-bottom: #464646 0.8px solid;
        display: flex;
        align-items: center;
        margin: auto;
    }

    /* Video Background */
    .landing-page-container {
        position: relative;
        width: 100%;
        height: 40vh;
        overflow: hidden;
        filter: drop-shadow(5px 5px 10px #0000005c);
        background-color: #aa8b8b;

    }

    .landing-video {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: -2; 
    }

    /* Color Overlay */
    .color-overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        /* background-color: rgba(181, 157, 142, 0.50); Pink with 43% opacity*/
        background-color: #46464663;
        z-index: -1; 
    }

    .navbar {
        position: sticky;
        display: flex;
        justify-content: space-between;
        height: 15vh;
        margin-right: 20px;
        z-index: 60; 
    }

    #navbar-titles {
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .navbar a {
        text-decoration: none;
        color: #464646;
        margin: 20px;
        font-family: "M PLUS 1p", sans-serif;
        font-weight: 400;
        font-style: normal;
    }

    #landing-page-title {
        font-family: "Yellowtail", cursive;
        font-weight: 400;
        font-style: normal; 
        color: #fff;   
        z-index: 6; 
        position: absolute;
        height: 30vh;
        width: 100vw;
        flex-direction: column;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .landing-line {
        border-bottom: #fff solid 3px;
        width: 5vw;
        margin-left: 2rem;
        margin-right: 2rem;
    }

    #yours-truly {
        font-size: 5rem;
    }

    #ridz-title {
        font-size: 2rem;
    }

    .landing-title-container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
    }

    #logo {
        width: 200px;
        margin: 20px;
    }

    #logo-png, #close-menu {
        position: absolute;
        overflow: hidden;
        visibility: hidden;
    }

    /* MEDIA GALLERY */
    .grid-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        gap: 15px;
        max-width: 1200px; /* Optional: to control the width of the grid */
        margin: 0 auto; /* Center the grid container */
    }
    
    .grid-item {
        background-color: white;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow: hidden;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }
    
    .grid-item img, .grid-item video {
        width: 100%;
        height: auto; /* Maintain aspect ratio */
        display: block;
    }
    
    .grid-item video {
        border-radius: 5px; /* Optional: to match the style of images */
    }

      /* FOOTER */

    footer {
        overflow: hidden;
        width: 100vw;
    }

    #social-container {
        display: flex;
        padding-top: 20px;
        height: 15px;
        font-size: 10px;
        width: 100vw;
        background-color: #fff;
    }

    #social-container svg {
        padding: 2px;
        height: 20px
    }

    #email, #instagram, #tiktok {
        display: flex;
        align-items: center;
        justify-content: row;
        height: 10px;
    }

    #copy {
        padding: 20px;
    }

    /* GALLERY */

    #image-grid, #video-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
        padding: 20px;
    }
    
    .media-item {
        cursor: pointer;
    }
    
    .image-item {
        overflow: hidden;
        transition: transform 0.2s;
        cursor: pointer; /* Change cursor to indicate clickable */
    }
    
    .image-item img {
        width: 100%;
        height: auto;
    }
    
    .image-item:hover {
        transform: scale(1.05);
    }

    img, video {
        display: block;
        max-width: 80%;
        margin: auto;
    }

    .video-item {
        cursor: pointer;
    }
    
    /* Modal Styles */

    #image-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        gap: 10px;
        padding: 10px;
    }
    
    .image-item {
        cursor: pointer;
    }
     /* Modal Styles */
     .modal {
        display: none; /* Hidden by default */
        position: fixed;
        z-index: 1;
        padding-top: 60px;
        left: 0;
        top: 0;
        width: 100%;
        height:100%;
        overflow: auto;
        background-color: rgb(0,0,0);
        background-color: rgba(0,0,0,0.9); /* Black with opacity */
        transition: ease-in-out;
    }
    
    
    .modal-content {
        margin: auto;
        display: block;
        width: auto;
        max-width: 700px;
        height: 70%;
    }
    
    .close {
        position: absolute;
        top: 15px;
        right: 35px;
        color: #f1f1f1;
        font-size: 40px;
        font-weight: bold;
        transition: 0.3s;
        cursor: pointer;
    }

    #caption {
        color: #fff;
        text-align: center;
        text-transform: uppercase;
    }

    button {
        margin: 30px auto;
        padding: 10px 60px;
        background-color: #ffffff;
        color: rgb(69, 69, 69);
        border: #464646 solid 1px;
        border-radius: 5px;
        cursor: pointer;
        display: flex;
        }
    
    button:hover {
        background-color: #464646 !important; /* Darken the button on hover */
        color: #fff;
    }
}

  
